


msnmp(1)                 USER COMMANDS                   msnmp(1)



NAME
     msnmp-A command Line shell for SNMP

SYNOPSIS
     msnmp [  -trap -x25delay -x25 -v -o -c -h -reference -manual
     -email  -debug  -home  -startup  -dir  -short -daemon -shell
     -exec -options -help -c]

DESCRIPTION
     msnmp

     A shell for the Simple Network Management  Protocol  (SNMP).
     Provides a programmable command line shell specific to snmp.

     The commands sget, sset, snext and swalk use  the  variables
     The  other  commands  get,  set,  next  and walk require the
     address is given on the command line.

     To change the default host or community, use

          shost = "abc.def.egh"

          scomm = "passwd"

     What it still needs is some kind of command completion.  But
     this  is  a first effort that didn't take very long to build
     since it is derived from a more powerful but  less  specific
     program 'monet'.

     There is also some support  for  X.25  and  other  protocols
     built in.

OPTIONS
     -trap - Enable snmp traps

     -x25delay -
             Period  between  checking  if  X.25  host  file  has
             changed

     -x25 -  The name of the x121 host/address table

     -v -    Default value

     -o -    Default oid

     -c -    Default community

     -h -    Default host name

     -reference -
             produces an latex  formatted  reference  manual  and
             exits



Monet               Last change: Release 0.10                   1






msnmp(1)                 USER COMMANDS                   msnmp(1)



     -manual -
             produces an nroff formatted manual page and exits

     -email -
             Sets the users email address.

     -debug -
             Switches on debugging -debug [on|off|num]

     -home - The user home directory, if not ~

     -startup -
             The name of the startup file

     -dir -  Where to look for run time specific files

     -short -

     -daemon -
             Set daemon mode for this program, careful

     -shell -
             Prompt for input from the command line

     -exec - A command to execute on start up

     -options -
             brief list of command line options

     -help - lists command line options and exits

     -c -    Execute rest of command line as command and exit

FILES
     $MONETDIR/*.msh ~/.msnmprc $MONETDIR/msnmprc.msh

SEE ALSO
     Monet: User Guide

AUTHOR
     James Barr, NIKHEF-H, Amsterdam <a38@nikhef.nl>














Monet               Last change: Release 0.10                   2



